curl --request POST \
--url https://apiweb.mile.app/api/v3/task/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hubId": "<string>",
"name": "<string>",
"periode": "<string>",
"flow": "<string>",
"flowId": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"task": {},
"assignee": "<array>",
"interval": 50
}
'import requests
url = "https://apiweb.mile.app/api/v3/task/schedule"
payload = {
"hubId": "<string>",
"name": "<string>",
"periode": "<string>",
"flow": "<string>",
"flowId": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"task": {},
"assignee": "<array>",
"interval": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hubId: '<string>',
name: '<string>',
periode: '<string>',
flow: '<string>',
flowId: '<string>',
startTime: '<string>',
endTime: '<string>',
task: {},
assignee: '<array>',
interval: 50
})
};
fetch('https://apiweb.mile.app/api/v3/task/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Task Scheduler has been created",
"data": {
"hubId": "634e98498ce07d29474a7e29",
"name": "Daily Morning Visit",
"periode": "daily",
"flow": "Visit",
"flowId": "67be687c128306111e022022",
"task": {
"receiverName": "Miguel",
"address": "gambir jakarta pusat",
"coordinates": "",
"weight": "5"
},
"schedules": [
{
"time": [
"07:00"
]
}
],
"startTime": "2022-11-02",
"endTime": "2022-11-05",
"createdBy": "Pablo",
"timeSchedules": [
"07:00"
],
"organizationId": "634e98098ce07d29474a7e22",
"updatedTime": "2022-11-01T07:28:23+00:00",
"createdTime": "2022-11-01T07:28:23+00:00",
"_id": "6352736c628401059b37a2e2"
}
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Create task schedule
Authorizations
Use a valid Bearer token to authenticate.
Body
Fundamental entity within an organization, serving as the central point for managing various operational components. Use GET /hubs endpoint to get the list of Hub IDs. Example: 634e98498ce07d29474a7e29
The name of task schedule. User can define task schedule name with task's flow name combined with running time, or something else.
Example: Daily Morning Visit
There are 5 types of periode: daily, weekly, monthly, byDate, custom. Period of time when the task scheduler running.
Example: daily
The unique name of organization's flow. Use Flow /flows API to get the list of flow names.
Example: Visit
The Identifier of organization's flow. Use Flow /flows API to get the list of flow ids.
Example: 67be687c128306111e022022
Start date of task scheduler to active. this field only available when periode's value is one of: daily, weekly, monthly
Example: 2022-11-02
End date of task scheduler to active. this field only available when periode's value is one of: daily, weekly, monthly
Example: 2022-11-05
data of task according to selected flow.
Example:
{
'receiverName':'miguel',
'coordinates':'-6.230815251,106.75684387',
'address':'rawamangun jakarta timur'
}
List of user email that will be assigned to the generated task. Example: ['jhon@sample.com']
Number units of frequency between each scheduled execution. For example, an interval of 2 with a frequency of daily means the task will run every 2 days. This required when select the custom periode.
Example: daily
1 <= x <= 99Specified unit of time for the scheduling interval. Determines how often the scheduled task will run based on the interval value.This required when select the custom periode.
Example: daily
daily, weekly, monthly